* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --textcolor: #fff;
    --orange: #fe6716;
    --bg: #000000;
    --grey: #191919;
    --para: #ccc;
}

@font-face {
    font-family: "Heading";
    src: url(./fonts/Moderniz.otf);
}

@font-face {
    font-family: "Body";
    src: url(./fonts/Inter-VariableFont_opsz\,wght.ttf);
}

@font-face {
    font-family: "Heading2";
    src: url(./fonts/Boldonse-Regular.ttf);
}

body {
    background-color: var(--bg);
    font-family: "Body", sans-serif;
    font-weight: 300;
    scroll-behavior: smooth;
    animation: fadeIn 0.5s ease-in-out;
}

header {
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 1001;
}

nav {
    position: relative;
    top: 0;
    right: 0;
    width: 100%;
    z-index: 1002;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--textcolor);
    padding: 1rem 2rem;
    transition: all 0.4s ease;
}

.logo {
    font-family: "Heading2", sans-serif;
    font-size: 1.8rem;
    z-index: 1003;
    transition: transform 0.3s ease, color 0.3s ease;
}

.logospan {
    color: var(--orange);
}

.menu-icon {
    width: 30px;
    height: 25px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
    z-index: 1003;
}

.menu-icon span {
    height: 5px;
    width: 100%;
    background: var(--textcolor);
    border-radius: 4px;
    transition: all 0.3s ease;
}

.menu-icon.open span:nth-child(1) {
    transform: rotate(45deg) translate(9px, 5px);
}

.menu-icon.open span:nth-child(2) {
    opacity: 0;
}

.menu-icon.open span:nth-child(3) {
    transform: rotate(-45deg) translate(9px, -5px);
}

.drawer {
    font-family: "Heading", sans-serif;
    font-size: 2.5rem;
    top: 0;
    position: fixed;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    gap: 1rem;
    pointer-events: none;
    transform: translateX(200%);
    transition: all 0.4s ease;
    z-index: 1000;
    background: var(--bg);
}

.drawer.open {
    transform: translateX(0);
    opacity: 1;
    pointer-events: auto;
}

.navlinks {
    color: var(--textcolor);
    text-decoration: none;
    letter-spacing: 1px;
    transition: color 0.3s ease, transform 0.3s ease;
    position: relative;
}

.navlinks:hover {
    letter-spacing: 3px;
    color: var(--orange);
    transform: scale(1.05);
}

.navbutton {
    text-decoration: none;
    color: var(--bg);
    background-color: var(--orange);
    border: 2px solid transparent;
    padding: 1rem 2.5rem;
    border-radius: 2rem;
    transition: all 0.3s ease;
}

.navbutton:hover {
    color: var(--textcolor);
    border-radius: 1rem;
}

.heading {
    font-family: "Heading", system-ui;
    font-size: 6.5rem;
    line-height: 1;
    font-weight: 800;
    color: var(--textcolor);
}

.mainpara {
    font-family: "Body", sans-serif;
    font-size: 3.5rem;
    color: var(--para);
    line-height: 1.5;
    font-weight: 300;
    max-width: 80%;
}

.headingspan {
    color: var(--orange);
}

#home {
    display: flex;
    width: 100%;
    padding: 4rem 2rem 0rem 2rem;
    text-align: center;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
}

#home img {
    width: 90%;
    height: 50%;
    border-radius: 2rem;
    object-fit: cover;
}

.btn {
    font-family: "Heading", system-ui;
    display: flex;
    gap: 1rem;
    padding: 1rem;
    font-size: 1rem;
}

.homebtn1 {
    text-decoration: none;
    color: var(--textcolor);
    border: 2px solid var(--textcolor);
    font-weight: 800;
    padding: 1rem 1.5rem;
    border-radius: 2rem;
    transition: all 0.4s ease;
}

.homebtn2 {
    text-decoration: none;
    color: var(--bg);
    background-color: var(--orange);
    font-weight: 800;
    padding: 1rem 1.5rem;
    border-radius: 2rem;
    transition: all 0.3s ease;

}

.homebtn1:hover {
    border-radius: 1rem;
    border: 2px solid var(--textcolor);
}

.homebtn2:hover {
    color: var(--textcolor);
    border-radius: 1rem;

}

.homecontent {
    position: relative;
    z-index: 2;
}

.subline {
    font-family: "Heading2", sans-serif;
    font-size: 1.5rem;
    color: var(--textcolor);
    background-color: var(--orange);
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 2rem;
}

.hyperlink {
    color: var(--orange);
    font-weight: 800;
    text-decoration: none;
}

#features {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    width: 100%;
    min-height: 100vh;
    text-align: center;
}

.features-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-rows: 16vw;
  gap: 1.5rem;
}

.feature-card {
  position: relative;
  overflow: hidden;
  border-radius: 2rem;
  color: #fff;
}

.feature-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  filter: brightness(0.8);
  display: block;
  transition: all 0.5s ease;
}

.feature-card:hover img {
  transform: scale(1.02);
}

.card-content {
  position: absolute;
  bottom: 1.5rem;
    left: 1.5rem;
    text-align: left;
  z-index: 2;
}


#about {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    gap: 1rem;
    padding: 2rem;
    width: 100%;
   min-height: 100vh;

}

/* SERVICES SECTION */
#services {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    padding: 2rem;
    width: 100%;
    min-height: 100vh;
    position: relative;
}

.timeline-container {
    position: relative;
    width: 90%;
}

.timeline-container::before {
    content: '';
    position: absolute;
    left: 50%;
    top: 0;
    transform: translateX(-50%);
    width: 4px;
    height: 100%;
    background: linear-gradient(to bottom, #fe6716, #fe9216);
    z-index: 1;
    border-radius: 2rem;
}

.timeline-item {
    position: relative;
    display: flex;
    justify-content: space-between;
    padding: 1rem 0;
    align-items: stretch;
}

.timeline-item .content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 1rem;
    width: calc(50% - 2rem);
    background: var(--grey);
    padding: 2rem;
    border-radius: 2rem;
    z-index: 2;
    transition: all 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    position: relative;
    overflow: hidden;
}

.timeline-item:nth-child(odd) {
    flex-direction: row-reverse;
}

.timeline-item .content:hover {
    transform: translateY(-10px);
}

.marker {
    width: 24px;
    height: 24px;
    background: var(--textcolor);
    border-radius: 50%;
    z-index: 3;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 50%;
    transition: all 0.3s ease;
}

.timeline-item:hover .marker {
    transform: translateX(-50%) scale(1.2);
    background: var(--orange);
}

.service-icon svg {
    width: 4rem;
    height: 4rem;
    fill: var(--orange);
}

.boxheading {
    font-family: "Heading", sans-serif;
    font-size: 3rem;
    color: var(--textcolor);
}

.boxpara {
    color: var(--para);
    font-family: "Body", sans-serif;
        font-weight: 300;
    font-size: 2rem;
    line-height: 1.5;
}

/* Section Styling */
#fleet{
  padding:2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    width: 100%;
    min-height: 100vh;
  text-align: center;
}

.cardscontainer {
    display: flex;
    align-items:stretch;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
    position: relative;
}

.card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 25%;
    background: var(--grey);
    border-radius: 2rem;
    padding: 2rem;
}
.car{
    width: 100%;
    height: auto;
}
.carname {
        font-family: "Heading", sans-serif;
    font-size: 2.5rem;
    color: var(--orange);
}

.card svg {
    width: 100%;
    height: auto;
    fill: var(--textcolor);
    margin-bottom: 0px;
}


#testimonials {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    text-align: center;
    overflow: hidden;
    padding: 2rem;
    position: relative;
    max-width: 100%;
    min-height: 100vh;
}


.counters-container {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
    background: var(--grey);
    padding: 2rem;
    border-radius: 2rem;
    width: 1200px;
    max-width: 100%;
}

.counter {
    font-family: "Heading", sans-serif;
    font-size: 3rem;
    min-width: 100%;
    color: var(--orange);
    transition: all 0.3s ease;
}

.testimonials-scroll-container {
    overflow: hidden;
    position: relative;
    max-width: 1400px;
    mask-image: linear-gradient(to right, transparent 0%, black 5%, black 95%, transparent 100%);
    -webkit-mask-image: linear-gradient(to right, transparent 0%, black 5%, black 95%, transparent 100%);
    padding: 1rem 0;
}

.testimonials-track {
    display: flex;
    gap: 2rem;
    width: max-content;
    will-change: transform;
}

.testimonial-card {
    background: var(--grey);
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    border-radius: 2rem;
    gap: 1rem;
    transition: transform 0.3s;
}

.testimonial-card:hover {
    transform: translateY(-5px);
}

.testimonial-text {
    font-style: italic;
    color: var(--para);
    position: relative;
    line-height: 1.6;
}

.testimonialsheading {
    margin: 0;
    font-size: 1.5rem;
    letter-spacing: 1px;
    font-family: "Heading", sans-serif;
    color: var(--orange);
}

.rating {
    color: #ffc107;
    font-size: 3rem;
}


footer {
    padding: 2rem;
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    max-width: 100%;
}

.footerlogo a {
    font-family: "Heading2", sans-serif;
    text-decoration: none;
    color: var(--textcolor);
    font-size: 1.8rem;
    z-index: 1;
    transition: transform 0.3s ease, color 0.3s ease;
}

.footer-section {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.policy-links {
    display: flex;
    gap: 1rem;
    justify-content: center;
    align-items: center;
}

.policy-links a {
    color: var(--textcolor);
    text-decoration: none;
    font-size: 1rem;
    transition: color 0.3s ease;
}

.policy-links a:hover {
    color: var(--para);
}


.bottomrow {
    text-align: center;
    font-size: 1rem;
    color: var(--para);
    border-top: 1px solid var(--orange);
    padding-top: 20px;
}


#faqs {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-height: fit-content;
    gap: 1rem;
    padding: 2rem;
}

.faqs-container {
    max-width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 2rem;
}

.faqs-left {
    flex: 1 1 40%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 1rem;
}

.faqs-right {
    flex: 1 1 50%;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    gap: 1rem;
}

.faq-item {
    font-family: "Body", sans-serif;
    background: var(--grey);
    border-radius: 2rem;
    transition: all 0.3s ease;
}
.faq-item.active  {
    border-bottom: 1px solid var(--orange);
}
.faq-question {
    background: transparent;
    border: none;
    width: 100%;
    text-align: left;
    padding: 1.2rem 1.5rem;
    font-size: 1.1rem;
    font-weight: 600;
    color: var(--para);
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    position: relative;
}

.faq-icon {
    font-size: 2.5rem;
    transition: transform 0.3s ease, color 0.3s ease;
    color: var(--orange);
}

.faq-answer {
    max-height: 0;
    overflow: hidden;
    padding: 0 1.5rem;
    transition: all 0.4s ease;
}

.faq-item.active .faq-answer {
    
    max-height: 300px;
    padding: 0 1.5rem 1rem;
}

.faq-item.active .faq-icon {
    transform: rotate(45deg);
    color: var(--orange);
}



#contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-height: 85vh;
    padding: 0rem 2rem;
    background: var(--bg);
    color: var(--textcolor);
}

.contact-wrapper {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin: 0 auto;
}

.contact-left {
    flex: 1 1 40%;
    color: var(--textcolor);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
    min-width: 180px;
}

.contact-info {
    display: flex;
    gap: 1rem;
    width: 100%;
}

.info-item a {
    color: var(--orange);
    text-decoration: none;
    transition: color 0.2s;
}

.info-item a:hover {
    color: var(--textcolor);
}

.contact-right {
    flex: 1 1 40%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.contact-form {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.input-group {
    padding-bottom: 1rem;
    display: flex;
    flex-direction: column;
}

.input-group input,
.input-group textarea {
    font-family: "Body", sans-serif;
    width: 100%;
    padding: 1rem;
    background: var(--grey);
    border: 1.5px solid var(--para);
    color: var(--textcolor);
    font-size: 1rem;
    border-radius: 1rem;
    outline: none;
    overflow-y: auto;
    resize: none;
    transition: border-color 0.2s;
}

.input-group input:focus,
.input-group textarea:focus {
    border-color: var(--orange);
}

.input-group label {
    font-size: 0.98rem;
    color: var(--textcolor);
    margin-bottom: 0.2rem;
    font-family: "Heading", sans-serif;
}

.contact-form .submit-btn {
    align-self: flex-end;
    background: var(--orange);
    color: var(--bg);
    border: none;
    padding: 0.8rem 2rem;
    border-radius: 1.2rem;
    font-family: "Heading", sans-serif;
    font-size: 1rem;
    font-weight: 700;
    cursor: pointer;
    transition: all 0.4s ease;
}

.contact-form .submit-btn:hover {
    color: var(--textcolor);
}
/* Responsive */

/* Extra small devices (phones, less than 576px) */
@media only screen and (max-width: 650px) {
      nav{
        padding: 1rem;
        background: rgba(0, 0, 0, 0.55);
        border-radius: 0rem 0rem 2rem 2rem;
        box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
        backdrop-filter: blur(9.3px);
        -webkit-backdrop-filter: blur(9.3px);   
    }
    .drawer {
        font-size: 2rem;
    }

    .navbutton {
        padding: 0.5rem 1.5rem;
    }

    section {
        padding: 2rem 1rem !important;
    }

    #home img {
        width: 100%;
        height: 100%;
        aspect-ratio: 3 / 4;
        object-position: left;
    }

    .heading {
        font-size: 2.5rem;
        text-align: center;
        line-height: normal;
    }

    .mainpara {
        font-size: 1.6rem;
        max-width: 100%;
        line-height: 1.5;
    }

    .btn {
        flex-direction: column;
    }

    .subline {
        font-size: 1.2rem;
    }

    #features {
        padding: 1rem;
    }

    .features-grid {
        grid-template-columns: 1fr;
        grid-auto-rows: auto;
    }

    .feature-card {
        aspect-ratio: 1 / 1;
        width: 100%;
        height: auto;
    }

    .feature1,
    .feature2 {
        grid-column: span 1 !important;
        grid-row: span 1 !important;
    }

    .card-content {
        bottom: 1rem;
        left: 1rem;
    }

    .boxheading {
        font-size: 2rem;
    }

    .boxpara {
        font-size: 1.5rem;
    }

    .timeline-container {
        width: 100%;
    }

    .timeline-container::before {
        left: 0;
        width: 4px;
        height: 98%;
    }

    .timeline-item:nth-child(even) {
        flex-direction: row-reverse;
    }

    .timeline-item .content {
        width: 95%;
        padding: 1rem;
    }

    .marker {
        width: 16px;
        height: 16px;
        left: 0%;
    }
    .cardscontainer{
        max-width: 100%;
    }
    .card{
        width: 100%;
        height: auto;
    }
    .carname{
        font-size: 2rem;
    }
    .testimonial-card{
        gap: 1rem;
        padding: 2rem 1rem;
        flex: 0 0 280px;
        max-width: 100%;
    }
    .rating{
        font-size: 2rem;
    }
    .testimonialsheading{
        font-size: 1rem;
    }
    .testimonials-scroll-container {
        mask-image: linear-gradient(to right, transparent 0%, black 3%, black 97%, transparent 100%);
        -webkit-mask-image: linear-gradient(to right, transparent 0%, black 3%, black 97%, transparent 100%);
    }
    .counters-container {
        flex-direction: column;
        gap: 1.5rem;
        padding: 1.5rem;
    }
    .faqs-container {
        flex-direction: column;
    }
    .faqs-left{
        max-width: 100%;
        align-items: center;
        text-align: center;
    }
    .faq-question{
        gap: 0.5rem;
        align-items: flex-start;
    }
    .faq-answer p{
        color: var(--textcolor);
    }
    .contact-left{
        align-items: center;
        text-align: center;
        flex-wrap: wrap;
    }
    .contact-info{
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
    }
    .contact-left,
    .contact-right {
        max-width: 100%;
    }
    .contact-wrapper {
        flex-direction: column;
        gap: 2rem;
    }
    .contact-form .submit-btn {
        width: 100%;
        font-size: 1rem;
        padding: 0.7rem;
    }
    footer{
        padding: 1rem;
    }
    .footer-container {
        padding: 1rem;
        gap: 1rem;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

}

/* Medium devices (tablets, iPads - 768px and up) */
@media (min-width: 651px) and (max-width: 991.98px) {
  nav{
        padding: 1rem;
        background: rgba(0, 0, 0, 0.55);
        border-radius: 0rem 0rem 2rem 2rem;
        box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
        backdrop-filter: blur(9.3px);
        -webkit-backdrop-filter: blur(9.3px);   
    }
    .drawer {
        font-size: 2rem;
    }

    .navbutton {
        padding: 0.5rem 1.5rem;
    }
    section {
        padding: 2rem 1rem !important;
    }
    
    #home img {
        width: 100%;
        height: 100%;
        aspect-ratio: 1 / 1;
        object-position: left;
    }

    .heading {
        font-size: 3rem;
        text-align: center;
        line-height: normal;
    }

    .mainpara {
        font-size: 2rem;
        max-width: 100%;
        line-height: 1.6;
    }
    .subline {
        font-size: 1.5rem;
    }

    #features {
        padding: 2rem;
    }

    .features-grid {
        grid-template-columns: repeat(2, 1fr);
        grid-auto-rows: auto;
    }

    .feature-card {
        aspect-ratio: 3 / 4;
        height: auto;
    }

    .feature1,
    .feature2 {
        grid-column: span 1 !important;
        grid-row: span 1 !important;
    }

    .card-content {
        bottom: 1rem;
        left: 1rem;
    }

    .boxheading {
        font-size: 2rem;
    }

    .boxpara {
        font-size: 1.5rem;
    }

    .timeline-container {
        width: 100%;
    }
    .timeline-item .content{
        padding: 1.5rem;
    }
    
    .cardscontainer{
        max-width: 100%;
    }
    .card{
        width: fit-content;
        height: auto;
    }
    .carname{
        font-size: 2rem;
    }
    #testimonials{
        min-height: fit-content;
    }
    .testimonial-card{
        gap: 1rem;
        padding: 2rem 1rem;
        flex: 0 0 400px;
        max-width: 100%;
    }
    .testimonials-scroll-container {
        mask-image: linear-gradient(to right, transparent 0%, black 3%, black 97%, transparent 100%);
        -webkit-mask-image: linear-gradient(to right, transparent 0%, black 3%, black 97%, transparent 100%);
    }
    .counters-container {
        gap: 1.5rem;
        padding: 1.5rem;
    }
    .faqs-container {
        flex-direction: column;
    }
    .faqs-left{
        max-width: 100%;
        align-items: center;
        text-align: center;
    }
    .faq-question{
        gap: 0.5rem;
        align-items: flex-start;
    }

    .faq-answer p{
        color: var(--textcolor);
    }
    .contact-left{
        align-items: center;
        text-align: center;
        flex-wrap: wrap;
    }
    .contact-info{
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
    }
    .contact-left,
    .contact-right {
        max-width: 100%;
    }
    .contact-wrapper {
        flex-direction: column;
        gap: 2rem;
    }
    footer{
        padding: 1rem;
    }
    .footer-container {
        padding: 1rem;
        gap: 1rem;
    }

}

@media (min-width: 992px) and (max-width: 1440px) {

    #home img {
        width: 100%;
        height: 100%;
    }

    .heading {
        font-size: 3.5rem;
        text-align: center;
        line-height: normal;
    }

    .mainpara {
        font-size: 2.5rem;
        max-width: 90%;
        line-height: 1.6;
    }
    .subline {
        font-size: 1.7rem;
    }

    #features {
        padding: 2rem;
    }

    .features-grid {
        grid-template-columns: repeat(2, 1fr);
        grid-auto-rows: auto;
    }

    .feature-card {
        aspect-ratio: 1 / 1;
        height: auto;

    }

    .feature1,
    .feature2 {
        grid-column: span 1 !important;
        grid-row: span 1 !important;
    }

    .card-content {
        bottom: 1rem;
        left: 1rem;
    }

    .boxheading {
        font-size: 2.3rem;
    }

    .boxpara {
        font-size: 1.8rem;
    }

    .timeline-container {
        width: 100%;
    }
    .timeline-item .content{
        padding: 1.5rem;
    }
    
    .cardscontainer{
        max-width: 100%;
    }
    .card{
        width: 48%;
        height: auto;
    }
    .carname{
        font-size: 2rem;
    }
    .testimonial-card{
        gap: 1rem;
        padding: 2rem 1rem;
        flex: 0 0 400px;
        max-width: 100%;
    }
    .testimonials-scroll-container {
        mask-image: linear-gradient(to right, transparent 0%, black 3%, black 97%, transparent 100%);
        -webkit-mask-image: linear-gradient(to right, transparent 0%, black 3%, black 97%, transparent 100%);
    }
    .counters-container {
        gap: 1.5rem;
        padding: 1.5rem;
    }
    .faqs-container {
        flex-direction: column;
        align-items: center;
    }
    .faqs-left{
        max-width: 100%;
        align-items: center;
        text-align: center;
    }
    .faq-question{
        gap: 0.5rem;
        align-items: flex-start;
    }

    .faq-answer p{
        color: var(--textcolor);
    }
    .contact-left{
        align-items: center;
        text-align: center;
        flex-wrap: wrap;
    }
    .contact-info{
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
    }
    .contact-left,
    .contact-right {
        max-width: 100%;
    }
    .contact-wrapper {
        flex-direction: column;
        gap: 2rem;
    }
    .footer-container {
        padding: 1rem;
        gap: 1rem;
    }

}




